Subject: Re: [PATCH] powerpc 8xx: Fixing issue with CONFIG_PIN_TLB

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 12 Sep 2013 10:15:11 +1000

On Wed, 2013-09-11 at 17:36 -0500, Scott Wood wrote:
> I wonder why we don't start from entry 31 so we can actually make use of
> that autodecrement.  What will happen when we load the first normal TLB
> entry later on?  I don't see any setting of SPRN_MD_CTR after this code,
> so won't it overwrite entry 30 (the middle 8M) in the CONFIG_PIN_TLB
> case?
> 
> Ben, would patches like this be considered bugfixes as far as merging
> goes, or would they be for next given that it's something that's never
> really worked right and hasn't been touched in years?

Since they don't affect anything outside of 8xx, I'm happy to take them
until around -rc2 or 3. But it's your call really.

Cheers,
Ben.